import 'dart:async';
import 'dart:js' as js;

import 'package:flutter/foundation.dart';
import 'package:flutter_hls_audio_player_platform_interface/flutter_hls_audio_player_platform_interface.dart';
import 'package:flutter_web_plugins/flutter_web_plugins.dart';

class FlutterPlayoutPlugin extends FlutterHlsAudioPlayerPlatform {

  static void registerWith(Registrar registrar) {
    debugPrint("Web Player : registered");
    FlutterHlsAudioPlayerPlatform.instance = FlutterPlayoutPlugin();
  }

  @override
  Future<void> play(String url,
      {String title = "",
        String subtitle = "",
        Duration position = Duration.zero,
        bool isLiveStream = false,
        String token ="",
        String image = ""
      }) async {
    debugPrint("Web Player : Play called");
    return js.context.callMethod("playSong",[url,token]);

  }

  @override
  Future<void> pause() async {
    debugPrint("Web Player : Pause called");
  }

  @override
  Future<void> stop() async {
    debugPrint("Web Player : Stop called");

  }

  @override
  Future<void> seekTo(double seconds) async {

  }
}